<template>
            <v-card
              class=" w-100"
              outlined
            >
                <v-list-item>
      <v-list-item-avatar color="grey">
            <v-icon

      >
        mdi-hospital-box-outline
      </v-icon>
      </v-list-item-avatar>
      <v-list-item-content>
        <v-list-item-title class="headline">{{ entity.name }} <span class="float-right">    <v-chip
      class=""
    >
      {{ entity.pivot.resultat_id == null?'En attente':'Traité' }}
    </v-chip></span></v-list-item-title>
        <v-list-item-subtitle>{{ entity.examtype ? 'Examen '+entity.examtype.label : "Type d'examen non précisé"  }}</v-list-item-subtitle>
      </v-list-item-content>
    </v-list-item>

        <v-card-subtitle class="pb-0">Assurance et coût</v-card-subtitle>

    <v-card-text class="text--primary">
      <div>Prise en charge par : <b>{{ entity.pivot.insurance_id ? getInsurance(entity.pivot.insurance_id) : 'Aucune Assurance'}}</b></div>

      <div>Coût de l'examen  :  <b>{{ entity.pivot.price}}</b> F cfa</div>
    </v-card-text>
        <v-divider class=""></v-divider>


      <v-card-actions>
        <v-btn v-if="speciaux"
          raised small color="primary" dark
        >
        <v-icon left>mdi-eye</v-icon>
          résultat
        </v-btn>

        <pn-result :test="entity" v-if="entity.result_type_id == 5"></pn-result>
        <alpha-numerique-result :test="entity" v-if="entity.result_type_id == 1"></alpha-numerique-result>
        <numeric-result :test="entity" v-if="entity.result_type_id == 3"></numeric-result>

        <v-spacer class="mb-0"></v-spacer>
        <v-btn icon>
          <v-icon>mdi-printer</v-icon>
        </v-btn>
      </v-card-actions>
    </v-card>
</template>
<script>
  import { mapGetters } from 'vuex'
  import PrelevementCervicoVaginal from './result_type_exams/PrelevementCervicoVaginal'
  import PnResult from './result_type_exams/PnResult'
  import AlphaNumeriqueResult from './result_type_exams/AlphaNumeriqueResult'
  import NumericResult from './result_type_exams/NumericResult'



  export default {
    props: {
      entity: Object,
    },
    computed:
    {
      ...mapGetters({insurances:'params/_insurances'}),
    },
    methods:{
          getInsurance(id)
          {
              var ins = this.insurances.find(insurance =>
              {
                  return  id == insurance.id
              })
              return ins.name
          }
    },
    data: () => ({
      dialog: false,
      speciaux : false,
      drawer: null,
      items: [
        { icon: 'mdi-contacts', text: 'Contacts' },
        { icon: 'mdi-history', text: 'Frequently contacted' },
        { icon: 'mdi-content-copy', text: 'Duplicates' },
        {
          icon: 'mdi-chevron-up',
          'icon-alt': 'mdi-chevron-down',
          text: 'Labels',
          model: true,
          children: [
            { icon: 'mdi-plus', text: 'Create label' },
          ],
        },
        {
          icon: 'mdi-chevron-up',
          'icon-alt': 'mdi-chevron-down',
          text: 'More',
          model: false,
          children: [
            { text: 'Import' },
            { text: 'Export' },
            { text: 'Print' },
            { text: 'Undo changes' },
            { text: 'Other contacts' },
          ],
        },
        { icon: 'mdi-cog', text: 'Settings' },
        { icon: 'mdi-message', text: 'Send feedback' },
        { icon: 'mdi-help-circle', text: 'Help' },
        { icon: 'mdi-cellphone-link', text: 'App downloads' },
        { icon: 'mdi-keyboard', text: 'Go to the old version' },
      ],
    }),

    components:{
      PrelevementCervicoVaginal,
      PnResult,
      AlphaNumeriqueResult,
      NumericResult
    }
  }
</script>
